pro Create_dat_file

; This program will create the datafile needed for zodipic to calculate 
; the grain temperatures.  This program reads data from the files, 
; 'AQabs.dat', 'LambdaQabs.dat', and 'Qabs.dat' and stores them in a 
; file called 'QabsVars.dat' in a convenient form for idl to use.  This 
; program only needs to be run one time, and only if you are running a 
; version of idl other than v5.4.

; written 07/02 by Joannah Metz
; Harvard-Smithsonian Center for Astrophysics
; 60 Garden St. 
; Cambridge, MA 02138
; (617)496-4773

fAQabs='AQabs.dat'
num_a=0

; Reads in an array of grain sizes and stores them to a

openr, 1, fAQabs
readf, 1, num_a
  a= fltarr(num_a)
  readf, 1, a
close, 1


; reads in the wavelengths for Astronomical Silicate and stores 
; them to lambda

flambdaQabs='LambdaQabs.dat'
num_l=0

openr, 2, flambdaQabs
readf, 2, num_l
  lambdaQabs= fltarr(num_l)
  readf, 2, lambdaQabs
close, 2


; Reads in the absorption coefficients for Astronomical Silicates 
; and stores them in a two dimensional matrix, where the first 
; subscript denotes the grain size and the second denotes the wavelength

fQabs='Qabs.dat'

openr, 3, fQabs
Qabs= fltarr(num_a,num_l)
  FOR i=0, num_a-1 DO BEGIN
    FOR j=0, num_l-1 DO BEGIN
      readf, 3, x
      Qabs(i,j) =x
    ENDFOR
  ENDFOR
close, 3

save, a, lambdaQabs, Qabs, filename='QabsVars.dat'

print, 'The absorption coefficients were read in and saved in the file'
print, 'QabsVars.dat'

end